Skip to main content
GET
/
alpha
/
borrow
/
markets
/
transactions
/
context
/
{userAddress}
/
{network}
/
{marketId}
/
{assetAddress}
cURL
curl --request GET \
  --url https://api.vaults.fyi/alpha/borrow/markets/transactions/context/{userAddress}/{network}/{marketId}/{assetAddress} \
  --header 'x-api-key: <api-key>'
{
  "marketId": "<string>",
  "name": "<string>",
  "network": {
    "chainId": 123,
    "networkCaip": "<string>"
  },
  "protocol": {
    "name": "<string>",
    "product": "<string>",
    "version": "<string>"
  },
  "supplySteps": [
    {
      "actions": [],
      "actionsUrl": "<string>"
    }
  ],
  "withdrawSteps": [
    {
      "actions": [],
      "actionsUrl": "<string>"
    }
  ],
  "borrowSteps": [
    {
      "actions": [],
      "actionsUrl": "<string>"
    }
  ],
  "repaySteps": [
    {
      "actions": [],
      "actionsUrl": "<string>"
    }
  ],
  "asset": {
    "asset": {
      "address": "<string>",
      "assetCaip": "<string>",
      "name": "<string>",
      "symbol": "<string>",
      "decimals": 123,
      "assetGroup": "<string>",
      "assetLogo": "<string>",
      "assetPriceInUsd": "<string>"
    },
    "collateralEnabled": true,
    "balanceNative": "<string>",
    "suppliedNative": "<string>",
    "borrowedNative": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.vaults.fyi/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Path Parameters

network
enum<string>
required

Canonical network slug

Available options:
mainnet,
optimism,
arbitrum,
polygon,
gnosis,
base,
unichain,
swellchain,
celo,
worldchain,
berachain,
ink,
bsc,
hyperliquid,
plasma,
avalanche,
katana,
linea,
mega-eth,
monad,
etherlink
marketId
string
required

Canonical market identifier

Minimum string length: 1
userAddress
string
required

Address of the user whose borrow market transactions context is requested

Pattern: ^0x[a-fA-F0-9]{40}$
assetAddress
string
required

Canonical asset address within the borrow market

Pattern: ^0x[a-fA-F0-9]{40}$

Response

Default Response

marketId
string
required
name
string
required
network
object
required
protocol
object
required
currentSupplyStep
enum<string>
required
Available options:
supply,
withdraw,
borrow,
repay
supplySteps
object[]
required
currentWithdrawStep
enum<string>
required
Available options:
supply,
withdraw,
borrow,
repay
withdrawSteps
object[]
required
currentBorrowStep
enum<string>
required
Available options:
supply,
withdraw,
borrow,
repay
borrowSteps
object[]
required
currentRepayStep
enum<string>
required
Available options:
supply,
withdraw,
borrow,
repay
repaySteps
object[]
required
asset
object
required